de.esprit.netsuite.client.pathtree

## Class RemotePathTreeModelDriver<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.nio.watcher.PathTreeModelDriver<C>
      - - de.esprit.netsuite.client.pathtree.RemotePathTreeModelDriver<C>

- All Implemented Interfaces:
    ApplicationObject<C>, PathChangeEvent.Source, PathRegistrationEvent.Source, SimpleLogSupport, Dumpable, Resettable, ClientObject<C>

      public final class RemotePathTreeModelDriver<C extends ClientContext>
      extends PathTreeModelDriver<C>
      implements ClientObject<C>

  This is a `PathTreeModelDriver` implementation which communicates to a remote `PathTreeModelDriver` on the server.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotePathTreeModelDriver(C ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `getClientContext()` Returns the the client runtime environment
    `PathFilter` | `getPathFilter()`
    `PathInfo` | `getRootPathInfo()`
    `java.util.List<PathInfo>` | `loadChildren(PathInfo parentInfo)`
    `void` | `renamePath(java.nio.file.Path oldPath, java.nio.file.Path newPath)`
    `void` | `reset()` This method is called by the ResetButton on it's registered target.
    `void` | `setPathFilter(PathFilter filter)`

    - ### Methods inherited from class de.esprit.appsuite.nio.watcher.PathTreeModelDriver

      `addPathChangeListener, addPathRegistrationListener, firePathChangeEvent, firePathRegistrationEvent, removePathChangeListener, removePathRegistrationListener`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotePathTreeModelDriver

          public RemotePathTreeModelDriver(C ctx)

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

    - #### reset

          public void reset()

      Description copied from interface: `Resettable`
      This method is called by the ResetButton on it's registered target.
      Specified by:
        `reset` in interface `Resettable`

    - #### loadChildren

          public final java.util.List<PathInfo> loadChildren(PathInfo parentInfo)

      Specified by:
        `loadChildren` in class `PathTreeModelDriver<C extends ClientContext>`

    - #### getRootPathInfo

          public final PathInfo getRootPathInfo()
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### renamePath

          public void renamePath(java.nio.file.Path oldPath,
                        java.nio.file.Path newPath)
                          throws java.lang.Exception

      Specified by:
        `renamePath` in class `PathTreeModelDriver<C extends ClientContext>`
      Throws:
        `java.lang.Exception`

    - #### setPathFilter

          public void setPathFilter(PathFilter filter)

      Specified by:
        `setPathFilter` in class `PathTreeModelDriver<C extends ClientContext>`

    - #### getPathFilter

          public PathFilter getPathFilter()

      Specified by:
        `getPathFilter` in class `PathTreeModelDriver<C extends ClientContext>`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.